#import "ColorPanelTestController.h"
#import "TestColorView.h"

@implementation ColorPanelTestController

+ (void)initialize {
	// Establish the user default for the color and assign it an initial value of white.
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
	NSData *defaultViewColorData = [NSArchiver archivedDataWithRootObject:[NSColor whiteColor]];
	NSDictionary *myDefaults = [NSDictionary dictionaryWithObject:defaultViewColorData forKey:DEFAULTS_VIEW_COLOR_KEY];
	[defaults registerDefaults:myDefaults];
}

- (id)init {
	if (self = [super init]) {
		[[NSColorPanel sharedColorPanel] setDelegate:self];
	}
	return self;
}

- (IBAction)selectColor:(id)sender {
	[[NSColorPanel sharedColorPanel] setTarget:myColorView];
	[[NSColorPanel sharedColorPanel] setAction:@selector(changeColor:)];
	[[NSColorPanel sharedColorPanel] makeKeyAndOrderFront:nil];
}

- (void)windowWillClose:(NSNotification*)note {
	// do whatever you want here
}

@end
