#import "TestColorView.h"

@implementation TestColorView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
		NSData *defaultViewColorData = [[NSUserDefaults standardUserDefaults] dataForKey:DEFAULTS_VIEW_COLOR_KEY];
		if (defaultViewColorData != nil) {
			fillColor = [NSUnarchiver unarchiveObjectWithData:defaultViewColorData];
        }
    }
    return self;
}

- (void)dealloc {
	[super dealloc];
	[fillColor release];
}

- (IBAction)changeColor:(id)sender {
	NSData *defaultViewColorData = [NSArchiver archivedDataWithRootObject:[sender color]];
	[[NSUserDefaults standardUserDefaults] setObject:defaultViewColorData forKey:DEFAULTS_VIEW_COLOR_KEY];
	fillColor = [sender color];
	[self setNeedsDisplay:YES];
}

- (void)drawRect:(NSRect)rect {
    [fillColor set];
	NSRectFill(rect);
}

@end